.text-overflow() {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.scrollbar() {
  &::-webkit-scrollbar {
    width: 6px;
    height: 6px;
  }

  &::-webkit-scrollbar-track {
    background-color: @g-white200;
    border-radius: 100px;
  }

  &::-webkit-scrollbar-thumb {
    background-color: @g-brown100;
    border-radius: 100px;
  }
}

.icon-size(@size-w, @size-h: -1px) {
  width: @size-w;
  height: if(@size-h > -1px, @size-h, @size-w);
  &::after {
    width: @size-w;
    height: if(@size-h > -1px, @size-h, @size-w);
  }
}

.build-mask(@size-w, @size-h, @path) {
  .icon-size(@size-w, @size-h);
  &::after {
    -webkit-mask: data-uri('@/static/icons/@{path}.svg') no-repeat center;
  }
}
